package com.ankaibei.workflow.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class AreaInfo {

    // 行政区域编码
    private String adcode;

    // 名称
    private String name;

    // 行政区域中心点（经纬度）
    private String center;

    // 行政区域级别 （country国家、province省份）
    private String level;

    private List<AreaInfo> districts;
}
