package com.ankaibei.workflow.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SysUser {

    private static final long serialVersionUID = 1L;

   // 主键id
   private String id;

    // 用户名
    private String username;

    // 密码
    private String password;

    // 姓名
    private String name;

    // 手机
    private String phone;


    // 邮箱
    private String email;

    // "所在地--省份或城市"
    private String provinceOrCityId;

    //"头像地址"
    private String headUrl;

    //"公司id"
    private String deptId;

    // 描述
    private String description;

    // 状态（1：正常 0：停用）

    private Integer status;


//    private List<SysRole> roleList;
    //部门

    private String deptName;

    /**
     * 角色组
     */

    private String[] roleIds;

    private Boolean isAdmin;

    // 权利列表
    private List<String> userPermsList;

    //菜单列表
    private List<String> menuList;
}
