package com.ankaibei.workFlow.webadmin.ankaibei.mapper;

import com.ankaibei.workFlow.webadmin.ankaibei.entity.ManHourInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.entity.ManHourJobInfo;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import javax.transaction.Transactional;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/21 15:34
 */
public interface ManHourJobMapper extends JpaRepository<ManHourJobInfo, Integer>, JpaSpecificationExecutor<ManHourJobInfo> {

    /**
     * 删除工时
     */
    int deleteByManIdEquals(Integer manId);

    /**
     * 工时详情
     */
    List<ManHourJobInfo> findManHourJobInfosByManIdIs(Integer manId);
}
