package com.ankaibei.workFlow.webadmin.ankaibei.service;


import com.ankaibei.workFlow.webadmin.ankaibei.entity.TaskInfoEntity;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.ResMsg;
import com.ankaibei.workFlow.webadmin.ankaibei.vo.TaskInfoVo;

import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:
 * @date 2022/9/14 17:18
 */
public interface TaskInfoService {
    /**
     * 分页查询
     * * @param taskInfoEntity
     *
     * @return
     */
    ResMsg findTaskInfo(Integer pageIndex, Integer pageSize, TaskInfoEntity taskInfoEntity);

    /**
     * 添加任务
     * * @param taskInfoEntity
     *
     * @return
     */
    ResMsg addTaskInfo(TaskInfoEntity taskInfoEntity, List<Long> taskParticipant);

    /**
     * 删除任务
     * * @param taskInfoEntity
     *
     * @return
     */
    ResMsg deleteTask(List<TaskInfoVo> taskInfoVos);

    /**
     * 查询指定任务
     * * @param taskInfoEntity
     *
     * @return
     */
    ResMsg findTaskById(TaskInfoVo taskInfoVo);

    /**
     * 任务完成
     * * @param taskInfoEntity
     *
     * @return
     */
    ResMsg performTask(TaskInfoEntity taskInfoEntity);

}
