package com.ankaibei.workFlow.common.online.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * 在线表单和数据源多对多关联实体对象。
 *
 * @author Buzhanyi
 * @date 2022-09-25
 */
@Data
@TableName(value = "zz_online_form_datasource")
public class OnlineFormDatasource {

    /**
     * 主键Id。
     */
    @TableId(value = "id")
    private String id;

    /**
     * 表单Id。
     */
    @TableField(value = "form_id")
    private String formId;

    /**
     * 数据源Id。
     */
    @TableField(value = "datasource_id")
    private String datasourceId;
}
