package com.ankaibei.workflow.api;


import com.ankaibei.workflow.vo.SysUser;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "sysUserApi", url = "${api-url:localhost:8077/api}")
public interface SysUserApi {

    @GetMapping("/foreign/admin/upms/user/getUserInfoByUserName")
    SysUser getUserInfoByUserName(@RequestParam("userName")String userName);
    
    
    @GetMapping("/foreign/admin/upms/user/getSysUserListByRoleId")
    List<String> getSysUserListByRoleId(@RequestParam("roleId")String roleId);
}
